﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{46E3AAB8-E2F5-4A72-B597-816C95BE015B}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>TerminalRS232</RootNamespace>
    <AssemblyName>TerminalRS232</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="FormTerminalRS232Main.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormTerminalRS232Main.Designer.cs">
      <DependentUpon>FormTerminalRS232Main.cs</DependentUpon>
    </Compile>
    <Compile Include="FormTerminalRS232Basic.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="FormTerminalRS232Main.resx">
      <DependentUpon>FormTerminalRS232Main.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Basic\Programdata\Programdata.csproj">
      <Project>{B8510D21-1897-4687-AEE8-4CE176C63F87}</Project>
      <Name>Programdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Hardware\HWComPort\HWComPort.csproj">
      <Project>{91357433-DDB9-4801-880D-6CBCCEA8A030}</Project>
      <Name>HWComPort</Name>
    </ProjectReference>
    <ProjectReference Include="..\Interface\IFTerminalRS232\IFTerminalRS232.csproj">
      <Project>{575FC998-4C36-40D3-BADA-1DBFB7C6A597}</Project>
      <Name>IFTerminalRS232</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLCommandTerminal\NLCommandTerminal.csproj">
      <Project>{B9351B2F-DC17-47D3-9057-3AEF73A2D437}</Project>
      <Name>NLCommandTerminal</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLExpression\NLExpression.csproj">
      <Project>{A3F4AD6E-6DEA-475F-B6B8-82DE285747C7}</Project>
      <Name>NLExpression</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLStatement\NLStatement.csproj">
      <Project>{298AAEFB-FFE4-4CFB-80C8-874FF709C9EE}</Project>
      <Name>NLStatement</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{F42BC6C4-A1A7-4473-96E1-6CE9ABDB4165}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCSerialNumber\UCSerialNumber.csproj">
      <Project>{4E5C356C-90B5-4336-A053-DF9BB8EF138C}</Project>
      <Name>UCSerialNumber</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCTextEditor\UCTextEditor.csproj">
      <Project>{842E05D6-D34B-42EF-8F58-383E2C76EE5F}</Project>
      <Name>UCTextEditor</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCInterface\UCComPort\UCComPort.csproj">
      <Project>{9CD39C6E-18B1-43A9-9DE3-03C33DB61C91}</Project>
      <Name>UCComPort</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCInterface\UCTerminal\UCTerminal.csproj">
      <Project>{381073F9-54FC-42A1-86D1-58DF48F76463}</Project>
      <Name>UCTerminal</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>